Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.gui
Class DefaultGraphLayout

    java.lang.Object
      uchicago.src.sim.gui.AbstractGraphLayout
          uchicago.src.sim.gui.DefaultGraphLayout

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, GraphLayout

    public class DefaultGraphLayout

extends AbstractGraphLayout

Empty implementation of GraphLayout. The nodes will be laid out according their own x, y coordinates. In effect this Layout does nothing.

Version:
  $Revision: 1.2 $ $Date: 2004/11/03 19:50:59 $

Field Summary

Fields inherited from class uchicago.src.sim.gui.AbstractGraphLayout
`height, nodeList, update, width`

Constructor Summary
`DefaultGraphLayout(int width, int height)`
`DefaultGraphLayout(java.util.List nodes, int width, int height)`

Method Summary
`void` | `updateLayout()` Empty implementation does nothing.

Methods inherited from class uchicago.src.sim.gui.AbstractGraphLayout
`actionPerformed, appendToList, appendToList, getHeight, getNodeList, getUpdate, getWidth, setList, setUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGraphLayout

    public DefaultGraphLayout(int width,
                              int height)

### DefaultGraphLayout

    public DefaultGraphLayout(java.util.List nodes,
                              int width,
                              int height)

Method Detail

### updateLayout

    public void updateLayout()

  Empty implementation does nothing.

  Specified by:
    `updateLayout` in interface `GraphLayout`
  Specified by:
    `updateLayout` in class `AbstractGraphLayout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD